# class Display

#### package lime.system

Available on all platforms

### Variables

###

`read onlybounds:Rectangle`

The desktop area represented by this display, with the upper-leftmost display at 0,0

###

`read onlycurrentMode:DisplayMode`

The current display mode

###

`read onlydpi:Float`

Pixel density of the display

###

`read onlyid:Int`

###

`read onlyname:String`

The name of the device, such as "Samsung SyncMaster P2350", "iPhone 6", "Oculus Rift DK2", etc.

###

`read onlysupportedModes:Array<DisplayMode>`

All of the display modes supported by this device